> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Filterables



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/filterables/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/filterables/:
    get:
      tags:
        - Reports
      summary: Filterables
      operationId: reports_filterables_list
      parameters:
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetFilterable'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    DatasetFilterable:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 500
      required:
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````